$kind: http-request
url: "{{Local_URL}}manufacturing/machines/45c693a8-8866-4b03-aff9-29936e9cc26e/\
  maintenancelogs"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \  \"maintenance_type\": \"preventive\",//preventive,corrective,predictive\r

    \  \"scheduled_date\": \"2025-11-25\",\r

    \  \"completed_date\": \"2025-11-26\",\r

    \  \"is_staff\":true, //True, False //If technician send technician ID as
    employee id else just the name\r

    \  \"technician_id\": \"9903c981-f9eb-4b17-88a7-298c27eec2bd\",\r

    \  \"technician_name\": \"Alfred\",//Send this as long as not staff is
    picked\r

    \  \"description\": \"Scheduled oil change and filter inspection.\",\r

    \  \"actions_taken\": \"Changed oil and cleaned filters.\"\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 4000
